/*
 * Copyright (c) 1997-2017 Oracle and/or its affiliates. All rights reserved.
 */

package	javasoft.sqe.tests.api.javax.activation.TestClasses;

import javax.activation.*;

/**
 * This is utility library routine.
 */

public class TestCommandObject implements CommandObject {

    private DataHandler dh = null;
    private String verb = null;
    private boolean wasCalled = false;
    
    public TestCommandObject() {
    }
    
    public void setCommandContext(String verb, DataHandler dh) {
	this.dh = dh;
	this.verb = verb;
	wasCalled = true;
    }
    
    public String getVerb() {
	return verb;
    }

    public DataHandler getDataHandler() {
	return dh;
    }

    public boolean getWasCalled() {
	return wasCalled;
    }
}
